ru.bitel.bgbilling.kernel.contract.config.server.bean

## Class AbstractContractConfig

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.bgbilling.kernel.contract.config.server.bean.AbstractContractConfig

- All Implemented Interfaces:
    java.lang.AutoCloseable
  Direct Known Subclasses:
    ContractModuleConfigDao, ContractPluginConfigDao

      public abstract class AbstractContractConfig
      extends ru.bitel.common.dao.AbstarctDaoConstant
      implements java.lang.AutoCloseable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `fields`
    `protected static java.lang.String` | `TABLE_CONTRACT_MODULE_CONFIG`
    `protected static java.lang.String` | `TABLE_CONTRACT_PLUGIN_CONFIG`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractContractConfig(java.lang.String table, java.sql.Connection con, int configId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `delete(int contractId, int configId, java.lang.String key)`
    `void` | `delete(int contractId, java.lang.String key)`
    `void` | `deleteForContract(int contractId)`
    `java.lang.String` | `get(int contractId, int configId, java.lang.String key, java.lang.String defaultValue)`
    `java.lang.String` | `get(int contractId, java.lang.String key, java.lang.String defaultValue)`
    `java.util.List<java.lang.String>` | `getKeyList()`
    `void` | `searchContractModuleConfig(SearchResult<ContractModuleConfig> searchResult, java.lang.String contractTitle, java.lang.String[] keys)`
    `void` | `update(int contractId, int configId, java.lang.String key, java.lang.String value)`
    `void` | `update(int contractId, java.lang.String key, java.lang.String value)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_CONTRACT_MODULE_CONFIG

          protected static final java.lang.String TABLE_CONTRACT_MODULE_CONFIG

      See Also:
        Constant Field Values

    - #### TABLE_CONTRACT_PLUGIN_CONFIG

          protected static final java.lang.String TABLE_CONTRACT_PLUGIN_CONFIG

      See Also:
        Constant Field Values

    - #### fields

          public java.util.Map<java.lang.String,java.lang.String> fields

  - ### Constructor Detail

    - #### AbstractContractConfig

          protected AbstractContractConfig(java.lang.String table,
                                           java.sql.Connection con,
                                           int configId)

  - ### Method Detail

    - #### get

          public java.lang.String get(int contractId,
                                      java.lang.String key,
                                      java.lang.String defaultValue)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public java.lang.String get(int contractId,
                                      int configId,
                                      java.lang.String key,
                                      java.lang.String defaultValue)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(int contractId,
                             java.lang.String key,
                             java.lang.String value)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(int contractId,
                             int configId,
                             java.lang.String key,
                             java.lang.String value)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### delete

          public void delete(int contractId,
                             java.lang.String key)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### delete

          public void delete(int contractId,
                             int configId,
                             java.lang.String key)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteForContract

          public void deleteForContract(int contractId)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchContractModuleConfig

          public void searchContractModuleConfig(SearchResult<ContractModuleConfig> searchResult,
                                                 java.lang.String contractTitle,
                                                 java.lang.String[] keys)
                                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getKeyList

          public java.util.List<java.lang.String> getKeyList()
                                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`